CreateBdsMetastoreConfigurationDetails

class oci.bds.models.CreateBdsMetastoreConfigurationDetails(**kwargs)

Bases: object

The request body when creating BDS metastore configuration.

Methods:

__init__(**kwargs)

Initializes a new CreateBdsMetastoreConfigurationDetails object with values from keyword arguments.

Attributes:

bds_api_key_id

[Required] Gets the bds_api_key_id of this CreateBdsMetastoreConfigurationDetails.

bds_api_key_passphrase

[Required] Gets the bds_api_key_passphrase of this CreateBdsMetastoreConfigurationDetails.

cluster_admin_password

Gets the cluster_admin_password of this CreateBdsMetastoreConfigurationDetails.

display_name

Gets the display_name of this CreateBdsMetastoreConfigurationDetails.

metastore_id

[Required] Gets the metastore_id of this CreateBdsMetastoreConfigurationDetails.

secret_id

Gets the secret_id of this CreateBdsMetastoreConfigurationDetails.

__init__(**kwargs)

Initializes a new CreateBdsMetastoreConfigurationDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • display_name (str) – The value to assign to the display_name property of this CreateBdsMetastoreConfigurationDetails.

  • metastore_id (str) – The value to assign to the metastore_id property of this CreateBdsMetastoreConfigurationDetails.

  • bds_api_key_id (str) – The value to assign to the bds_api_key_id property of this CreateBdsMetastoreConfigurationDetails.

  • bds_api_key_passphrase (str) – The value to assign to the bds_api_key_passphrase property of this CreateBdsMetastoreConfigurationDetails.

  • cluster_admin_password (str) – The value to assign to the cluster_admin_password property of this CreateBdsMetastoreConfigurationDetails.

  • secret_id (str) – The value to assign to the secret_id property of this CreateBdsMetastoreConfigurationDetails.

property bds_api_key_id

[Required] Gets the bds_api_key_id of this CreateBdsMetastoreConfigurationDetails. The ID of BDS Api Key used for Data Catalog metastore integration.

Returns

The bds_api_key_id of this CreateBdsMetastoreConfigurationDetails.

Return type

str

property bds_api_key_passphrase

[Required] Gets the bds_api_key_passphrase of this CreateBdsMetastoreConfigurationDetails. Base-64 encoded passphrase of the BDS Api Key.

Returns

The bds_api_key_passphrase of this CreateBdsMetastoreConfigurationDetails.

Return type

str

property cluster_admin_password

Gets the cluster_admin_password of this CreateBdsMetastoreConfigurationDetails. Base-64 encoded password for the cluster admin user.

Returns

The cluster_admin_password of this CreateBdsMetastoreConfigurationDetails.

Return type

str

property display_name

Gets the display_name of this CreateBdsMetastoreConfigurationDetails. The display name of the metastore configuration

Returns

The display_name of this CreateBdsMetastoreConfigurationDetails.

Return type

str

property metastore_id

[Required] Gets the metastore_id of this CreateBdsMetastoreConfigurationDetails. The OCID of the Data Catalog metastore.

Returns

The metastore_id of this CreateBdsMetastoreConfigurationDetails.

Return type

str

property secret_id

Gets the secret_id of this CreateBdsMetastoreConfigurationDetails. The secretId for the clusterAdminPassword.

Returns

The secret_id of this CreateBdsMetastoreConfigurationDetails.

Return type

str